---
Gitlab/DocUrl:
  Exclude:
    - 'app/controllers/jira_connect/app_descriptor_controller.rb'
    - 'app/graphql/types/merge_request_type.rb'
    - 'app/graphql/types/notes/diff_position_input_type.rb'
    - 'app/graphql/types/query_complexity_type.rb'
    - 'app/models/integrations/apple_app_store.rb'
    - 'app/models/integrations/microsoft_teams.rb'
    - 'app/presenters/dev_ops_report/metric_presenter.rb'
    - 'app/serializers/build_details_entity.rb'
    - 'app/services/security/ci_configuration/container_scanning_create_service.rb'
    - 'app/services/security/ci_configuration/dependency_scanning_create_service.rb'
    - 'app/services/security/ci_configuration/sast_create_service.rb'
    - 'app/services/security/ci_configuration/sast_iac_create_service.rb'
    - 'app/services/security/ci_configuration/secret_detection_create_service.rb'
    - 'app/services/tasks_to_be_done/create_ci_task_service.rb'
    - 'app/services/tasks_to_be_done/create_code_task_service.rb'
    - 'app/services/tasks_to_be_done/create_issues_task_service.rb'
    - 'ee/app/graphql/mutations/requirements_management/export_requirements.rb'
    - 'ee/app/graphql/types/vulnerability_state_enum.rb'
    - 'ee/app/helpers/projects/learn_gitlab_helper.rb'
    - 'ee/app/mailers/emails/user_cap.rb'
    - 'ee/app/workers/concerns/elastic/migration_obsolete.rb'
    - 'ee/lib/ee/gitlab/ci/pipeline/quota/size.rb'
    - 'ee/lib/system_check/app/advanced_search_migrations_check.rb'
    - 'ee/lib/tasks/gitlab/geo.rake'
    - 'lib/backup/database.rb'
    - 'lib/feature.rb'
    - 'lib/gitlab/audit/auditor.rb'
    - 'lib/gitlab/ci/config/entry/processable.rb'
    - 'lib/gitlab/config_checker/external_database_checker.rb'
    - 'lib/gitlab/config_checker/puma_rugged_checker.rb'
    - 'lib/gitlab/database.rb'
    - 'lib/gitlab/database/migration_helpers/automatic_lock_writes_on_tables.rb'
    - 'lib/gitlab/database/migration_helpers/v2.rb'
    - 'lib/gitlab/database/migrations/batched_background_migration_helpers.rb'
    - 'lib/gitlab/database/migrations/extension_helpers.rb'
    - 'lib/gitlab/database/query_analyzers/prevent_cross_database_modification.rb'
    - 'lib/gitlab/database/query_analyzers/restrict_allowed_schemas.rb'
    - 'lib/gitlab/i18n/po_linter.rb'
    - 'lib/gitlab/instrumentation/redis_base.rb'
    - 'lib/gitlab/pagination/keyset/unsupported_scope_order.rb'
    - 'lib/gitlab/redis/hll.rb'
    - 'lib/gitlab/slash_commands/presenters/help.rb'
    - 'lib/gitlab/utils/strong_memoize.rb'
    - 'lib/initializer_connections.rb'
    - 'lib/security/ci_configuration/base_build_action.rb'
    - 'lib/tasks/db_obsolete_ignored_columns.rake'
    - 'lib/tasks/gitlab/docs/redirect.rake'
    - 'lib/tasks/gitlab/shell.rake'
    - 'lib/tasks/migrate/schema_check.rake'
    - 'lib/tasks/test.rake'
